Subject: Re: bug#37895: 26.3; X protocol error: BadLength (poly request too large or internal Xlib length error) on protocol request 139

From: Unknown <[email-masked]>
Date: Thu, 24 Oct 2019 17:34:00 +0200

On Thu, 2019-10-24 at 16:58 +0300, Eli Zaretskii wrote:
> > From: Unknown <[email-masked]>
> > Date: Thu, 24 Oct 2019 00:14:13 +0200
> >
> > Emacs crashes after triggering an X error message.
> >
> > To reproduce the error, I have to start emacs as a daemon via
> >
> > > emacs --fg-daemon
> >
> > and a client via
> >
> > > emacsclient -create-frame --alternate-editor=""
> >
> > As soon as I open a source file (C++ in my case), emacs crashes
> > immediately based on the following X error:
>
> Does this happen with _any_ file or just some?  If the latter, can
> you
> try to figure out what is special about those files?
>
> If this happens with any file, does it also happen with pure ASCII
> files, like the README files in the Emacs distribution?

No, if I open the README, then everything works normally.

>
> > Note: the bug seems to be very similar to the
> > one reported here:
> >
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30874#33
> >
> > My emacs is (naturally) heavily modded, and I was not able to
> > pinpoint
> > the problem to one concrete package. Noticably, I *can* enter the
> > unicode symbol 274c.
>
> The backtrace seems to indicate that Emacs crashed trying to open
> some
> font, so tracing the fonts Emacs loads might give a hint wrt what
> goes
> wrong.

I have not included any additional fonts myself, but I guess the theme
does.

Regarding the tracing: As far as I can see the bottommost emacs code
being called is

static Lisp_Object
xftfont_open (struct frame *f, Lisp_Object entity, int pixel_size)

I also got

(gdb) call debug_print(entity)
#<font-entity xft GOOG JoyPixels nil iso10646-1 normal normal normal 0
nil nil 0 ((:font-entity "/usr/share/fonts/TTF/JoyPixels.ttf" . 0))>

Does that help?

> Thanks.